Skip to main content
POST
/
api
/
v2
/
wallet-groups
/
with-wallets
Atomic: create N fresh wallets and a wallet group containing them in a single transaction. Used by the treasury-agent surface and the terminal's "Generate new wallets" pathway.
curl --request POST \
  --url https://api.shuriken.trade/api/v2/wallet-groups/with-wallets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "chain": "<string>",
  "name": "<string>",
  "walletCount": 8
}
'
{
  "data": {
    "archived": true,
    "createdAt": "<string>",
    "groupId": "<string>",
    "name": "<string>",
    "updatedAt": "<string>",
    "walletIds": [
      "<string>"
    ],
    "chain": "<string>"
  },
  "requestId": "<string>",
  "pagination": {
    "hasMore": true,
    "limit": 1,
    "page": 1,
    "total": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.shuriken.trade/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <jwt> for user auth or Authorization: Bearer sk_{keyId}_{secret} for API key auth.

Body

application/json

Request body for POST /api/v2/wallet-groups/with-wallets.

Atomically creates a fresh wallet group plus N freshly-generated wallets on chain, in a single Prisma transaction. Wallets are auto-named <name> 1..N server-side.

chain
string
required

Chain. svm | base | bsc.

name
string
required

Group name (1-32 chars). Wallets are auto-named <name> 1..N.

walletCount
integer<int32>
required

Number of fresh wallets. 1..=16.

Required range: 1 <= x <= 16

Response

V2 success response envelope

data
object
required
requestId
string
required
pagination
object

Page-based pagination info (per RFC)